Name:           maxr
Version:        0.2.10
Release:        %mkrel 1
Summary:        M.A.X.R. (Mechanized Assault and eXploration Reloaded)
License:        GPL-2.0+ and CC-BY-SA-3.0
Group:          Games/Strategy
Url:            https://www.maxr.org/
Source0:        https://github.com/MAX-Reloaded/maxr/archive/release-%{version}/%{name}-%{version}.tar.gz
Source2:        http://www.maxr.org/downloads/manual.pdf
Source9:        maxr.6
Patch0:         maxr-0.2.10-mga-use-games-destination.patch

BuildRequires:  cmake
BuildRequires:  dos2unix
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_net)
BuildRequires:  pkgconfig(sdl2)

%description
M.A.X.R. (Mechanized Assault and eXploration Reloaded) is a
fanmade strategy game by the community of maxr.org. MAXR is
OpenSource and a remake of the old M.A.X.by Interplay from 1996
featuring network games based on TCP/IP (e.g. over the internet).

The game can be played in a turn-based mode (with or without time
limit), or simultaneous mode (all the players take their turns at
the same time), and features combat in air, land, and sea. Three
resources are present on the maps - Raw Materials, which are
needed to manufacture units, structures and ammunition, Fuel,
which power generators need to function, and Gold, which is
used to purchase upgrades. This game is a mix of realtime and
turnbased strategy with battle chess character.

%prep
%autosetup -p1 -n %{name}-release-%{version}

find -name '.empty' -delete -print
dos2unix data/AUTHORS data/CHANGELOG data/MANUAL
install -m 644 %{SOURCE2} .

%build
%cmake
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_libdir}
install -m 755 build/lib*.so %{buildroot}%{_libdir}

# icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/128x128/apps
install -m 644 data/%{name}.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=M.A.X.R. (Mechanized Assault and eXploration Reloaded)
GenericName=M.A.X.R. (Mechanized Assault and eXploration Reloaded)
Comment=M.A.X.R. (Mechanized Assault and eXploration Reloaded)
Exec=%{name}
Icon=%{name}
Type=Application
Terminal=false
Categories=Game;StrategyGame;
EOF

# man
mkdir -p %{buildroot}%{_mandir}/man6
install -m 644 %{SOURCE9} %{buildroot}%{_mandir}/man6

# Let's use %%doc macro for:
cd %{buildroot}%{_gamesdatadir}/%{name}
rm ABOUT AUTHORS CHANGELOG COPYING* MANUAL

%files
%doc README.md manual.pdf data/ABOUT data/AUTHORS
%doc data/CHANGELOG data/MANUAL
%license data/COPYING*
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_libdir}/lib*.so
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6.*


%changelog
* Thu May 18 2023 daviddavid <daviddavid> 0.2.10-1.mga9
+ Revision: 1957218
- initial package maxr (mga#28458)

